Name:		portmidi2
%global upname	portmidi
Version:	2.0.4
%global soname	2
%global sominor	0.3
Release:	1%{?dist}
Summary:	Cross-Platform MIDI IO

License:	MIT
URL:		https://github.com/PortMidi/portmidi
Source0:	%{url}/archive/refs/tags/v%{version}/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:	cmake >= 3.20
BuildRequires:	gcc-c++
BuildRequires:	alsa-lib-devel >= 0.9

%description
PortMedia is a set of simple clean APIs and cross-platform library
implementations for music and other media. PortMidi sub-project provides a
real-time MIDI input/output library. This package contains the PortMidi
libraries.

%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n %{upname}-%{version}
sed -i 's|cmake_minimum_required(VERSION 3.21)|cmake_minimum_required(VERSION 3.20)|' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%license license.txt
%{_libdir}/lib%{upname}.so.%{soname}
%{_libdir}/lib%{upname}.so.%{soname}.%{sominor}

%files devel
%doc README*
%{_includedir}/*
%{_libdir}/lib%{upname}.so
%{_libdir}/pkgconfig/%{upname}.pc
%{_libdir}/cmake/PortMidi

%changelog
* Fri Dec 30 2022 Michael J Gruber <mjg@fedoraproject.org> - 2.0.4-1
- initial test package
